
#pragma once

#include "RegDumpDlg.h"

class CRegDumpView : public CDockablePane
{
		DECLARE_DYNAMIC(CRegDumpView)
// Создание
	public:
		CRegDumpView();
		virtual ~CRegDumpView();
		void AdjustLayout();

// Атрибуты
	protected:
		CRegDumpDlg m_wndDlgex;

// Реализация
	public:
		void AttachDebugger(CDebugger *pDbgr)
		{
			m_wndDlgex.AttachDebugger(pDbgr);
		}
		void SetRegDump()
		{
			if (IsVisible())
			{
				m_wndDlgex.SetRegisters();
				m_wndDlgex.SetPortRegs();
				m_wndDlgex.SetAltProData();
				//выводим на экран данные FDD
				m_wndDlgex.SetFDDData();
			}
		}
	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};

